"use strict";
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
Object.defineProperty(exports, "__esModule", { value: true });
module.exports = () => ({
    name: 'change-require-to-electronRequire-in-main',
    visitor: {
        CallExpression(path) {
            const node = path.node;
            if (node.type === 'CallExpression' &&
                node.callee.type === 'Identifier' &&
                node.callee.name === 'require' &&
                node.arguments.length === 1 &&
                node.arguments[0].type === 'StringLiteral') {
                const source = node.arguments[0].value;
                if (!source.startsWith('./') && !source.startsWith('../')) {
                    node.callee.name = 'electronRequire';
                }
            }
            if (node.callee.type === 'MemberExpression' &&
                node.callee.object.type === 'Identifier' &&
                node.callee.object.name === 'require' &&
                node.callee.property.type === 'Identifier' &&
                node.callee.property.name === 'resolve' &&
                node.arguments.length === 1 &&
                node.arguments[0].type == 'StringLiteral') {
                node.callee.object.name = 'electronRequire';
            }
        },
    },
});
//# sourceMappingURL=electron-requires-main.js.map