"use strict";
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
Object.defineProperty(exports, "__esModule", { value: true });
const flipperEnv = new Proxy({
    FLIPPER_FB: undefined,
    FLIPPER_TEST_RUNNER: undefined,
    FLIPPER_ELECTRON_VERSION: undefined,
    NODE_ENV: undefined,
    FLIPPER_FORCE_PUBLIC_BUILD: undefined,
}, {
    get: function (obj, prop) {
        if (typeof prop === 'string') {
            return process.env[prop];
        }
        else {
            return obj[prop];
        }
    },
    set: function () {
        throw new Error('flipperEnv is read-only');
    },
});
exports.default = flipperEnv;
//# sourceMappingURL=flipper-env.js.map